%define section	free

Name:		tanukiwrapper
Version:	3.2.0
Release:	1jpp
Summary:	Java Service Wrapper
Epoch:		0
License:	BSD
URL:		http://wrapper.tanukisoftware.org/
Source0:	http://download.sourceforge.net/wrapper/wrapper_3.2.0_src.tar.gz
Patch1:		%{name}-build.patch
Patch2:		%{name}-crosslink.patch
Group:		Development/Java
Vendor:		JPackage Project
Distribution:	JPackage
BuildRequires:	jpackage-utils >= 0:1.5
BuildRequires:	glibc-devel
BuildRequires:	ant >= 0:1.6.1
BuildRequires:	ant-nodeps >= 0:1.6.1
BuildRequires:	ant-junit
BuildRequires:	xerces-j2
BuildRequires:	xml-commons-apis
BuildRequires:	%{__perl}
BuildRequires:	java-javadoc
Requires:	jpackage-utils >= 0:1.5
Requires:	xerces-j2
Requires:	xml-commons-apis
Obsoletes:	%{name}-demo < 0:3.1.2-2jpp
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The Java Service Wrapper is an application which has 
evolved out of a desire to solve a number of problems 
common to many Java applications: 
- Run as a Windows Service or Unix Daemon
- Application Reliability
- Standard, Out of the Box Scripting
- On Demand Restarts
- Flexible Configuration
- Ease Application installations
- Logging

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%package manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description manual
%{summary}.

%prep
%setup -q -n wrapper_%{version}_src
%patch1
%patch2
%__chmod -R go=u-w *
find . -name "*.jar" -exec %__rm -f {} \;
%__perl -p -i -e 's/\r//' doc/AUTHORS
%__perl -p -i -e 's|-O3|%optflags|' src/c/Makefile*
%__perl -p -e \
  's|=\.\./lib/wrapper\.jar$|=%{_javadir}/%{name}.jar| ;
   s|=\.\./lib$|=%{_libdir}|' \
  src/conf/wrapper.conf.in > wrapper.conf.sample
%__perl -p -e \
  's|"\./wrapper"|"%{_sbindir}/%{name}"| ;
   s|"\.\./conf/wrapper\.conf"|"/path/to/wrapper.conf"|' \
  src/bin/sh.script.in > script.sh.sample

%build
export CLASSPATH=$(build-classpath ant junit xerces-j2 xml-commons-apis)
%ifarch x86_64 ia64
bits=64
%else
bits=32
%endif
%ant -Dbuild.sysclasspath=first -Djdk.api=%{_javadocdir}/java -Dbits=$bits \
  main jdoc

%install
%__rm -rf %{buildroot}

# jar
%__mkdir_p %{buildroot}%{_javadir}
%__install -p -m 0644 lib/wrapper.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do %{__ln_s}f ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# jni
%__install -d -m 755 %{buildroot}%{_libdir}
%__install -p -m 755 lib/libwrapper.so %{buildroot}%{_libdir}

# commands
%__install -d -m 755 %{buildroot}%{_sbindir}
%__install -p -m 755 bin/wrapper %{buildroot}%{_sbindir}/%{name}

# javadoc
%__install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{version}
%__cp -a jdoc/* %{buildroot}%{_javadocdir}/%{name}-%{version}
%__ln_s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name} # ghost symlink

%clean
%__rm -rf %{buildroot}

%post javadoc
%__rm -f %{_javadocdir}/%{name}
%{__ln_s}f %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  %__rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(-,root,root,-)
%doc doc/license.txt *.sample
%{_sbindir}/%{name}
%{_libdir}/libwrapper.so
%{_javadir}/%{name}*.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%doc doc/*

%changelog
* Tue May  9 2006 Ville Skyttä <scop at jpackage.org> - 0:3.2.0-1jpp
- 3.2.0.

* Mon Jul 18 2005 Ville Skyttä <scop at jpackage.org> - 0:3.1.2-4jpp
- BuildRequires ant-junit and java-javadoc.
- Fix description.

* Mon Jul  4 2005 Ville Skyttä <scop at jpackage.org> - 0:3.1.2-3jpp
- Fix bogus versioned jpackage-utils build dependency.

* Tue Jun 28 2005 Ville Skyttä <scop at jpackage.org> - 0:3.1.2-2jpp
- Fix install locations and build dependencies.
- Drop -demo subpackage and test jars, include samples in main package's docs.
- Fix build with newer Java/Ant and ant-nodeps not built with Sun's JDK.
- Crosslink with local JDK javadocs.

* Wed Apr 14 2005 David Walluck <david@jpackage.org> 0:3.1.2-1jpp
- 3.1.2
- fix ant dependencies
- change %%section to free
- macros

* Tue Mar 29 2005 David Walluck <david@jpackage.org> 0:3.1.1-5jpp
- remove BuildArch

* Sat Nov 27 2004 Ville Skyttä <scop at jpackage.org> - 0:3.1.1-4jpp
- Fix libwrapper.so permissions.

* Sat Nov 27 2004 Ville Skyttä <scop at jpackage.org> - 0:3.1.1-3jpp
- Fix build when no $JAVA_HOME is set.
- Honor $RPM_OPT_FLAGS.

* Fri Sep 03 2004 Fernando Nasser <fnasser@redhat.com> 0:3.1.1-2jpp
- Rebuilt with Ant 1.6.2

* Fri Jul 30 2004 Ralph Apel <r.apel at r-apel.de> 0:3.1.1-1jpp
- First JPackage release
